with DOM.Readers;
with Input_Sources.File;
with GNAT.OS_Lib;        use GNAT.OS_Lib;

procedure Reproducer
is
   Input  : Input_Sources.File.File_Input;
   Reader : DOM.Readers.Tree_Reader;
begin
   Input_Sources.File.Open
      ("XML" & Directory_Separator & "gravis_config.xml", Input);
   DOM.Readers.Parse (Reader, Input);
   Input_Sources.File.Close (Input);
   DOM.Readers.Free (Reader);
end Reproducer;
